# queue.h File Reference

Binary heap implementation, hash implementation. More...

Go to the source code of this file.

## Data Structures
struct | BinaryHeapNode
struct | BinaryHeap
| Binary Heap. More...
struct | HashNode
struct | Hash
## Typedefs
typedef uint | Hash_HashProc (uint key1, uint key2)
| Generates a hash code from the given key pair.

## Detailed Description

Binary heap implementation, hash implementation.

Definition in file queue.h.

## Typedef Documentation

typedef uint Hash_HashProc(uint key1, uint key2)

Generates a hash code from the given key pair.

You should make sure that the resulting range is clearly defined.

Definition at line 72 of file queue.h.